from multiprocessing import Process, Pipe
from time import sleep

def send(pipe):
    arr = [1, 2, 3]
    for a in arr:
        pipe.send(a)
        sleep(1)
    print('close pipe, it\'s done')
    pipe.close()

if __name__ == '__main__':
    (con1, con2) = Pipe()                            # 创建两个 Pipe 实例
    sender = Process(target=send, args=(con1, ))     # 函数的参数，args 一定是实例化之后的 Pipe 变量，不能直接写 args=(Pip(),)
    sender.start() 
    while True:
        if con1.:
            break
        ret = con2.recv()              # 管道的另一端 con2 从send收到消息
        print(ret)
      
    con2.close()

